geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lasantha Ranaweera <lasan...@opensource.lk>
Subject Re: Daytrader Deploying Error
Date Mon, 21 May 2007 13:59:38 GMT
Jason Dillon wrote:
> On May 20, 2007, at 3:41 AM, Lasantha Ranaweera wrote:
>>>> 2. Can we use IDEA IntelliJ for the DT development as Geronimo?
>>>
>>> I don't see a reason why not. I use Eclipse for the most part though.
>> My problem is class path entries for an IDEA project will not 
>> automatically comes after 'mvn idea:idea' command (it will give some 
>> warnings while running it too). It will perfectly works for the 
>> Eclipse environment. Anybody have IDEA experience with DT?
>
> What does it spit up when you run mvn idea:idea?
>
> --jason
>
>
Following is the command line output.

Thanks,
Lasantha

[INFO] Scanning for projects...
[INFO] snapshot 
org.apache.geronimo.genesis.config:project-config:1.2-SNAPSHOT: checking 
for updates from apache-snapshots
[INFO] snapshot org.apache.geronimo.genesis.config:config:1.2-SNAPSHOT: 
checking for updates from apache-snapshots
[INFO] snapshot org.apache.geronimo.genesis.config:config:1.2-SNAPSHOT: 
checking for updates from codehaus-snapshots
[INFO] snapshot org.apache.geronimo.genesis:genesis:1.2-SNAPSHOT: 
checking for updates from apache-snapshots
[INFO] snapshot org.apache.geronimo.genesis:genesis:1.2-SNAPSHOT: 
checking for updates from codehaus-snapshots
[INFO] Reactor build order:
[INFO] DayTrader :: Performance Benchmark Sample
[INFO] DayTrader :: WS Application Client
[INFO] DayTrader :: EJBs
[INFO] DayTrader :: Quote Streamer
[INFO] DayTrader :: Web Application
[INFO] DayTrader :: Enterprise Application
[INFO] DayTrader :: JSON Proxy
[INFO] DayTrader :: Dojo User Interface
[INFO] DayTrader :: Dojo Interface and Proxy Ear
[INFO] Searching repository for plugin with prefix: 'idea'.
[INFO] snapshot 
org.apache.geronimo.genesis.config:checkstyle-config:1.2-SNAPSHOT: 
checking for updates from apache-snapshots
[INFO] snapshot 
org.apache.geronimo.genesis.config:checkstyle-config:1.2-SNAPSHOT: 
checking for updates from codehaus-snapshots
[INFO] snapshot 
org.apache.geronimo.genesis.config:checkstyle-config:1.2-SNAPSHOT: 
checking for updates from apache.snapshots
[INFO] snapshot 
org.apache.geronimo.genesis.plugins:tools-maven-plugin:1.2-SNAPSHOT: 
checking for updates from apache-snapshots
[INFO] snapshot 
org.apache.geronimo.genesis.plugins:tools-maven-plugin:1.2-SNAPSHOT: 
checking for updates from codehaus-snapshots
[INFO] snapshot 
org.apache.geronimo.genesis.plugins:tools-maven-plugin:1.2-SNAPSHOT: 
checking for updates from apache.snapshots
[INFO] snapshot 
org.apache.geronimo.genesis.plugins:plugins:1.2-SNAPSHOT: checking for 
updates from apache-snapshots
[INFO] snapshot 
org.apache.geronimo.genesis.plugins:plugins:1.2-SNAPSHOT: checking for 
updates from codehaus-snapshots
[INFO] snapshot 
org.apache.geronimo.genesis.plugins:plugins:1.2-SNAPSHOT: checking for 
updates from apache.snapshots
[INFO] 
----------------------------------------------------------------------------
[INFO] Building DayTrader :: Performance Benchmark Sample
[INFO] task-segment: [idea:idea]
[INFO] 
----------------------------------------------------------------------------
[INFO] Preparing idea:idea
[INFO] [enforcer:enforce {execution: default}]
[INFO] [idea:idea]
[INFO] snapshot 
org.apache.geronimo.genesis.config:logging-config:1.2-SNAPSHOT: checking 
for updates from apache-snapshots
[INFO] snapshot 
org.apache.geronimo.genesis.config:logging-config:1.2-SNAPSHOT: checking 
for updates from codehaus-snapshots
[INFO] snapshot 
org.apache.geronimo.genesis.config:logging-config:1.2-SNAPSHOT: checking 
for updates from apache.snapshots
[INFO] 
----------------------------------------------------------------------------
[INFO] Building DayTrader :: WS Application Client
[INFO] task-segment: [idea:idea]
[INFO] 
----------------------------------------------------------------------------
[INFO] Preparing idea:idea
[INFO] [enforcer:enforce {execution: default}]
[INFO] [idea:idea]
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-qname_1.1_spec/[1.0,2.0)/geronimo-qname_1.1_spec-[1.0,2.0).pom
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-qname_1.1_spec/[1.0,2.0)/geronimo-qname_1.1_spec-[1.0,2.0).pom
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-jaxrpc_1.1_spec/[1.0,2.0)/geronimo-jaxrpc_1.1_spec-[1.0,2.0).pom
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-jaxrpc_1.1_spec/[1.0,2.0)/geronimo-jaxrpc_1.1_spec-[1.0,2.0).pom
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-jaxrpc_1.1_spec/[1.0,2.0)/geronimo-jaxrpc_1.1_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-jaxrpc_1.1_spec/[1.0,2.0)/geronimo-jaxrpc_1.1_spec-[1.0,2.0).jar
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-qname_1.1_spec/[1.0,2.0)/geronimo-qname_1.1_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-qname_1.1_spec/[1.0,2.0)/geronimo-qname_1.1_spec-[1.0,2.0).jar
[WARNING] An error occurred during dependency resolution of the 
following artifact:

org.apache.geronimo.daytrader:daytrader-wsappclient2.0-SNAPSHOT

Caused by: Missing:
----------
1) org.apache.geronimo.specs:geronimo-jaxrpc_1.1_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-jaxrpc_1.1_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) 
org.apache.geronimo.daytrader:daytrader-wsappclient:jar:tests:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-jaxrpc_1.1_spec:jar:[1.0,2.0)

2) org.apache.geronimo.specs:geronimo-qname_1.1_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-qname_1.1_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) 
org.apache.geronimo.daytrader:daytrader-wsappclient:jar:tests:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-qname_1.1_spec:jar:[1.0,2.0)

----------
2 required artifacts are missing.

for artifact:
org.apache.geronimo.daytrader:daytrader-wsappclient:jar:2.0-SNAPSHOT

from the specified remote repositories:
central (http://repo1.maven.org/maven2),
apache.snapshots (http://people.apache.org/repo/m2-snapshot-repository),
apache-snapshots (http://people.apache.org/repo/m2-snapshot-repository),
codehaus-snapshots (http://snapshots.repository.codehaus.org),
apache-incubator (http://people.apache.org/repo/m2-incubating-repository/)

[INFO] 
----------------------------------------------------------------------------
[INFO] Building DayTrader :: EJBs
[INFO] task-segment: [idea:idea]
[INFO] 
----------------------------------------------------------------------------
[INFO] Preparing idea:idea
[INFO] [enforcer:enforce {execution: default}]
[INFO] [idea:idea]
[INFO] snapshot 
org.apache.geronimo.specs:geronimo-annotation_1.0_spec:1.0-SNAPSHOT: 
checking for updates from apache-snapshots
[INFO] snapshot 
org.apache.geronimo.specs:geronimo-annotation_1.0_spec:1.0-SNAPSHOT: 
checking for updates from codehaus-snapshots
[INFO] snapshot 
org.apache.geronimo.specs:geronimo-annotation_1.0_spec:1.0-SNAPSHOT: 
checking for updates from apache.snapshots
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-ejb_2.1_spec/[1.0,2.0)/geronimo-ejb_2.1_spec-[1.0,2.0).pom
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-ejb_2.1_spec/[1.0,2.0)/geronimo-ejb_2.1_spec-[1.0,2.0).pom
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-jms_1.1_spec/[1.0,2.0)/geronimo-jms_1.1_spec-[1.0,2.0).pom
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-jms_1.1_spec/[1.0,2.0)/geronimo-jms_1.1_spec-[1.0,2.0).pom
[INFO] snapshot 
org.apache.geronimo.specs:geronimo-jpa_3.0_spec:1.0-SNAPSHOT: checking 
for updates from apache-snapshots
[INFO] snapshot 
org.apache.geronimo.specs:geronimo-jpa_3.0_spec:1.0-SNAPSHOT: checking 
for updates from codehaus-snapshots
[INFO] snapshot 
org.apache.geronimo.specs:geronimo-jpa_3.0_spec:1.0-SNAPSHOT: checking 
for updates from apache.snapshots
[INFO] snapshot org.apache.geronimo.specs:specs:1.2-SNAPSHOT: checking 
for updates from apache-snapshots
[INFO] snapshot org.apache.geronimo.specs:specs:1.2-SNAPSHOT: checking 
for updates from codehaus-snapshots
[INFO] snapshot org.apache.geronimo.specs:specs:1.2-SNAPSHOT: checking 
for updates from apache.snapshots
[INFO] snapshot 
org.apache.geronimo.genesis.config:project-config:1.1-SNAPSHOT: checking 
for updates from apache-snapshots
[INFO] snapshot 
org.apache.geronimo.genesis.config:project-config:1.1-SNAPSHOT: checking 
for updates from codehaus-snapshots
[INFO] snapshot 
org.apache.geronimo.genesis.config:project-config:1.1-SNAPSHOT: checking 
for updates from apache.snapshots
[INFO] snapshot org.apache.geronimo.genesis.config:config:1.1-SNAPSHOT: 
checking for updates from apache-snapshots
[INFO] snapshot org.apache.geronimo.genesis.config:config:1.1-SNAPSHOT: 
checking for updates from codehaus-snapshots
[INFO] snapshot org.apache.geronimo.genesis.config:config:1.1-SNAPSHOT: 
checking for updates from apache.snapshots
[INFO] snapshot org.apache.geronimo.genesis:genesis:1.1-SNAPSHOT: 
checking for updates from apache-snapshots
[INFO] snapshot org.apache.geronimo.genesis:genesis:1.1-SNAPSHOT: 
checking for updates from codehaus-snapshots
[INFO] snapshot org.apache.geronimo.genesis:genesis:1.1-SNAPSHOT: 
checking for updates from apache.snapshots
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-qname_1.1_spec/[1.0,2.0)/geronimo-qname_1.1_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-qname_1.1_spec/[1.0,2.0)/geronimo-qname_1.1_spec-[1.0,2.0).jar
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-ejb_2.1_spec/[1.0,2.0)/geronimo-ejb_2.1_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-ejb_2.1_spec/[1.0,2.0)/geronimo-ejb_2.1_spec-[1.0,2.0).jar
[INFO] snapshot 
org.apache.geronimo.daytrader:daytrader-wsappclient:2.0-SNAPSHOT: 
checking for updates from apache-snapshots
[INFO] snapshot 
org.apache.geronimo.daytrader:daytrader-wsappclient:2.0-SNAPSHOT: 
checking for updates from codehaus-snapshots
[INFO] snapshot 
org.apache.geronimo.daytrader:daytrader-wsappclient:2.0-SNAPSHOT: 
checking for updates from apache.snapshots
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-jms_1.1_spec/[1.0,2.0)/geronimo-jms_1.1_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-jms_1.1_spec/[1.0,2.0)/geronimo-jms_1.1_spec-[1.0,2.0).jar
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-jaxrpc_1.1_spec/[1.0,2.0)/geronimo-jaxrpc_1.1_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-jaxrpc_1.1_spec/[1.0,2.0)/geronimo-jaxrpc_1.1_spec-[1.0,2.0).jar
[WARNING] An error occurred during dependency resolution of the 
following artifact:

org.apache.geronimo.daytrader:daytrader-ejb2.0-SNAPSHOT

Caused by: Missing:
----------
1) org.apache.geronimo.specs:geronimo-qname_1.1_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-qname_1.1_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:daytrader-ejb:ejb:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-qname_1.1_spec:jar:[1.0,2.0)

2) org.apache.geronimo.specs:geronimo-ejb_2.1_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-ejb_2.1_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:daytrader-ejb:ejb:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-ejb_2.1_spec:jar:[1.0,2.0)

3) org.apache.geronimo.specs:geronimo-jms_1.1_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-jms_1.1_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:daytrader-ejb:ejb:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-jms_1.1_spec:jar:[1.0,2.0)

4) org.apache.geronimo.specs:geronimo-jaxrpc_1.1_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-jaxrpc_1.1_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:daytrader-ejb:ejb:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-jaxrpc_1.1_spec:jar:[1.0,2.0)

----------
4 required artifacts are missing.

for artifact:
org.apache.geronimo.daytrader:daytrader-ejb:ejb:2.0-SNAPSHOT

from the specified remote repositories:
central (http://repo1.maven.org/maven2),
apache.snapshots (http://people.apache.org/repo/m2-snapshot-repository),
apache-snapshots (http://people.apache.org/repo/m2-snapshot-repository),
codehaus-snapshots (http://snapshots.repository.codehaus.org),
apache-incubator (http://people.apache.org/repo/m2-incubating-repository/)

[INFO] Not adding resource directory as it has an incompatible target 
path or filtering: 
/home/hd2/work/daytrader/workspace/trunk/modules/ejb/src/main/resources
[INFO] 
----------------------------------------------------------------------------
[INFO] Building DayTrader :: Quote Streamer
[INFO] task-segment: [idea:idea]
[INFO] 
----------------------------------------------------------------------------
[INFO] Preparing idea:idea
[INFO] [enforcer:enforce {execution: default}]
[INFO] [idea:idea]
[INFO] snapshot 
org.apache.geronimo.daytrader:daytrader-ejb:2.0-SNAPSHOT: checking for 
updates from apache-snapshots
[INFO] snapshot 
org.apache.geronimo.daytrader:daytrader-ejb:2.0-SNAPSHOT: checking for 
updates from codehaus-snapshots
[INFO] snapshot 
org.apache.geronimo.daytrader:daytrader-ejb:2.0-SNAPSHOT: checking for 
updates from apache.snapshots
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-jms_1.1_spec/[1.0,2.0)/geronimo-jms_1.1_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-jms_1.1_spec/[1.0,2.0)/geronimo-jms_1.1_spec-[1.0,2.0).jar
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-ejb_2.1_spec/[1.0,2.0)/geronimo-ejb_2.1_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-ejb_2.1_spec/[1.0,2.0)/geronimo-ejb_2.1_spec-[1.0,2.0).jar
[WARNING] An error occurred during dependency resolution of the 
following artifact:

org.apache.geronimo.daytrader:daytrader-streamer2.0-SNAPSHOT

Caused by: Missing:
----------
1) org.apache.geronimo.specs:geronimo-jms_1.1_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-jms_1.1_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:daytrader-streamer:jar:tests:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-jms_1.1_spec:jar:[1.0,2.0)

2) org.apache.geronimo.specs:geronimo-ejb_2.1_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-ejb_2.1_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:daytrader-streamer:jar:tests:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-ejb_2.1_spec:jar:[1.0,2.0)

----------
2 required artifacts are missing.

for artifact:
org.apache.geronimo.daytrader:daytrader-streamer:jar:2.0-SNAPSHOT

from the specified remote repositories:
central (http://repo1.maven.org/maven2),
apache.snapshots (http://people.apache.org/repo/m2-snapshot-repository),
apache-snapshots (http://people.apache.org/repo/m2-snapshot-repository),
codehaus-snapshots (http://snapshots.repository.codehaus.org),
apache-incubator (http://people.apache.org/repo/m2-incubating-repository/)

[INFO] 
----------------------------------------------------------------------------
[INFO] Building DayTrader :: Web Application
[INFO] task-segment: [idea:idea]
[INFO] 
----------------------------------------------------------------------------
[INFO] Preparing idea:idea
[INFO] [enforcer:enforce {execution: default}]
[INFO] [idea:idea]
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-jsp_2.0_spec/[1.0,2.0)/geronimo-jsp_2.0_spec-[1.0,2.0).pom
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-jsp_2.0_spec/[1.0,2.0)/geronimo-jsp_2.0_spec-[1.0,2.0).pom
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-servlet_2.4_spec/[1.0,2.0)/geronimo-servlet_2.4_spec-[1.0,2.0).pom
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-servlet_2.4_spec/[1.0,2.0)/geronimo-servlet_2.4_spec-[1.0,2.0).pom
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-servlet_2.4_spec/[1.0,2.0)/geronimo-servlet_2.4_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-servlet_2.4_spec/[1.0,2.0)/geronimo-servlet_2.4_spec-[1.0,2.0).jar
[INFO] snapshot 
org.apache.geronimo.daytrader:daytrader-streamer:2.0-SNAPSHOT: checking 
for updates from apache-snapshots
[INFO] snapshot 
org.apache.geronimo.daytrader:daytrader-streamer:2.0-SNAPSHOT: checking 
for updates from codehaus-snapshots
[INFO] snapshot 
org.apache.geronimo.daytrader:daytrader-streamer:2.0-SNAPSHOT: checking 
for updates from apache.snapshots
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-jms_1.1_spec/[1.0,2.0)/geronimo-jms_1.1_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-jms_1.1_spec/[1.0,2.0)/geronimo-jms_1.1_spec-[1.0,2.0).jar
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-jsp_2.0_spec/[1.0,2.0)/geronimo-jsp_2.0_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-jsp_2.0_spec/[1.0,2.0)/geronimo-jsp_2.0_spec-[1.0,2.0).jar
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-ejb_2.1_spec/[1.0,2.0)/geronimo-ejb_2.1_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-ejb_2.1_spec/[1.0,2.0)/geronimo-ejb_2.1_spec-[1.0,2.0).jar
[WARNING] An error occurred during dependency resolution of the 
following artifact:

org.apache.geronimo.daytrader:daytrader-web2.0-SNAPSHOT

Caused by: Missing:
----------
1) org.apache.geronimo.specs:geronimo-servlet_2.4_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-servlet_2.4_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:daytrader-web:war:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-servlet_2.4_spec:jar:[1.0,2.0)

2) org.apache.geronimo.specs:geronimo-jms_1.1_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-jms_1.1_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:daytrader-web:war:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-jms_1.1_spec:jar:[1.0,2.0)

3) org.apache.geronimo.specs:geronimo-jsp_2.0_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-jsp_2.0_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:daytrader-web:war:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-jsp_2.0_spec:jar:[1.0,2.0)

4) org.apache.geronimo.specs:geronimo-ejb_2.1_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-ejb_2.1_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:daytrader-web:war:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-ejb_2.1_spec:jar:[1.0,2.0)

----------
4 required artifacts are missing.

for artifact:
org.apache.geronimo.daytrader:daytrader-web:war:2.0-SNAPSHOT

from the specified remote repositories:
central (http://repo1.maven.org/maven2),
apache.snapshots (http://people.apache.org/repo/m2-snapshot-repository),
apache-snapshots (http://people.apache.org/repo/m2-snapshot-repository),
codehaus-snapshots (http://snapshots.repository.codehaus.org),
apache-incubator (http://people.apache.org/repo/m2-incubating-repository/)

[INFO] 
----------------------------------------------------------------------------
[INFO] Building DayTrader :: Enterprise Application
[INFO] task-segment: [idea:idea]
[INFO] 
----------------------------------------------------------------------------
[INFO] Preparing idea:idea
[INFO] [enforcer:enforce {execution: default}]
[INFO] [idea:idea]
[INFO] snapshot 
org.apache.geronimo.daytrader:daytrader-web:2.0-SNAPSHOT: checking for 
updates from apache-snapshots
[INFO] snapshot 
org.apache.geronimo.daytrader:daytrader-web:2.0-SNAPSHOT: checking for 
updates from codehaus-snapshots
[INFO] snapshot 
org.apache.geronimo.daytrader:daytrader-web:2.0-SNAPSHOT: checking for 
updates from apache.snapshots
[INFO] 
----------------------------------------------------------------------------
[INFO] Building DayTrader :: JSON Proxy
[INFO] task-segment: [idea:idea]
[INFO] 
----------------------------------------------------------------------------
[INFO] Preparing idea:idea
[INFO] [enforcer:enforce {execution: default}]
[INFO] [idea:idea]
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-jaxrpc_1.1_spec/[1.0,2.0)/geronimo-jaxrpc_1.1_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-jaxrpc_1.1_spec/[1.0,2.0)/geronimo-jaxrpc_1.1_spec-[1.0,2.0).jar
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-jsp_2.0_spec/[1.0,2.0)/geronimo-jsp_2.0_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-jsp_2.0_spec/[1.0,2.0)/geronimo-jsp_2.0_spec-[1.0,2.0).jar
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-servlet_2.4_spec/[1.0,2.0)/geronimo-servlet_2.4_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-servlet_2.4_spec/[1.0,2.0)/geronimo-servlet_2.4_spec-[1.0,2.0).jar
[WARNING] An error occurred during dependency resolution of the 
following artifact:

org.apache.geronimo.daytrader:json-proxy2.0-SNAPSHOT

Caused by: Missing:
----------
1) org.apache.geronimo.specs:geronimo-jaxrpc_1.1_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-jaxrpc_1.1_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:json-proxy:war:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-jaxrpc_1.1_spec:jar:[1.0,2.0)

2) org.apache.geronimo.specs:geronimo-jsp_2.0_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-jsp_2.0_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:json-proxy:war:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-jsp_2.0_spec:jar:[1.0,2.0)

3) org.apache.geronimo.specs:geronimo-servlet_2.4_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-servlet_2.4_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:json-proxy:war:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-servlet_2.4_spec:jar:[1.0,2.0)

----------
3 required artifacts are missing.

for artifact:
org.apache.geronimo.daytrader:json-proxy:war:2.0-SNAPSHOT

from the specified remote repositories:
central (http://repo1.maven.org/maven2),
apache.snapshots (http://people.apache.org/repo/m2-snapshot-repository),
apache-snapshots (http://people.apache.org/repo/m2-snapshot-repository),
codehaus-snapshots (http://snapshots.repository.codehaus.org),
apache-incubator (http://people.apache.org/repo/m2-incubating-repository/)

[INFO] 
----------------------------------------------------------------------------
[INFO] Building DayTrader :: Dojo User Interface
[INFO] task-segment: [idea:idea]
[INFO] 
----------------------------------------------------------------------------
[INFO] Preparing idea:idea
[INFO] [enforcer:enforce {execution: default}]
[INFO] [idea:idea]
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-jsp_2.0_spec/[1.0,2.0)/geronimo-jsp_2.0_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-jsp_2.0_spec/[1.0,2.0)/geronimo-jsp_2.0_spec-[1.0,2.0).jar
Downloading: 
http://people.apache.org/repo/m2-incubating-repository//org/apache/geronimo/specs/geronimo-servlet_2.4_spec/[1.0,2.0)/geronimo-servlet_2.4_spec-[1.0,2.0).jar
Downloading: 
http://repo1.maven.org/maven2/org/apache/geronimo/specs/geronimo-servlet_2.4_spec/[1.0,2.0)/geronimo-servlet_2.4_spec-[1.0,2.0).jar
[WARNING] An error occurred during dependency resolution of the 
following artifact:

org.apache.geronimo.daytrader:dojo-ui-web2.0-SNAPSHOT

Caused by: Missing:
----------
1) org.apache.geronimo.specs:geronimo-jsp_2.0_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-jsp_2.0_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:dojo-ui-web:war:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-jsp_2.0_spec:jar:[1.0,2.0)

2) org.apache.geronimo.specs:geronimo-servlet_2.4_spec:jar:[1.0,2.0)

Try downloading the file manually from the project website.

Then, install it using the command:
mvn install:install-file -DgroupId=org.apache.geronimo.specs 
-DartifactId=geronimo-servlet_2.4_spec \
-Dversion=[1.0,2.0) -Dpackaging=jar -Dfile=/path/to/file

Path to dependency:
1) org.apache.geronimo.daytrader:dojo-ui-web:war:2.0-SNAPSHOT
2) org.apache.geronimo.specs:geronimo-servlet_2.4_spec:jar:[1.0,2.0)

----------
2 required artifacts are missing.

for artifact:
org.apache.geronimo.daytrader:dojo-ui-web:war:2.0-SNAPSHOT

from the specified remote repositories:
central (http://repo1.maven.org/maven2),
apache.snapshots (http://people.apache.org/repo/m2-snapshot-repository),
apache-snapshots (http://people.apache.org/repo/m2-snapshot-repository),
codehaus-snapshots (http://snapshots.repository.codehaus.org),
apache-incubator (http://people.apache.org/repo/m2-incubating-repository/)

[INFO] 
----------------------------------------------------------------------------
[INFO] Building DayTrader :: Dojo Interface and Proxy Ear
[INFO] task-segment: [idea:idea]
[INFO] 
----------------------------------------------------------------------------
[INFO] Preparing idea:idea
[INFO] [enforcer:enforce {execution: default}]
[INFO] [idea:idea]
[INFO] snapshot org.apache.geronimo.daytrader:dojo-ui-web:2.0-SNAPSHOT: 
checking for updates from apache-snapshots
[INFO] snapshot org.apache.geronimo.daytrader:dojo-ui-web:2.0-SNAPSHOT: 
checking for updates from codehaus-snapshots
[INFO] snapshot org.apache.geronimo.daytrader:dojo-ui-web:2.0-SNAPSHOT: 
checking for updates from apache.snapshots
[INFO] snapshot org.apache.geronimo.daytrader:json-proxy:2.0-SNAPSHOT: 
checking for updates from apache-snapshots
[INFO] snapshot org.apache.geronimo.daytrader:json-proxy:2.0-SNAPSHOT: 
checking for updates from codehaus-snapshots
[INFO] snapshot org.apache.geronimo.daytrader:json-proxy:2.0-SNAPSHOT: 
checking for updates from apache.snapshots
[INFO]
[INFO]
[INFO] 
------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
------------------------------------------------------------------------
[INFO] DayTrader :: Performance Benchmark Sample ............. SUCCESS 
[9.436s]
[INFO] DayTrader :: WS Application Client .................... SUCCESS 
[7.819s]
[INFO] DayTrader :: EJBs ..................................... SUCCESS 
[33.450s]
[INFO] DayTrader :: Quote Streamer ........................... SUCCESS 
[6.914s]
[INFO] DayTrader :: Web Application .......................... SUCCESS 
[20.774s]
[INFO] DayTrader :: Enterprise Application ................... SUCCESS 
[4.331s]
[INFO] DayTrader :: JSON Proxy ............................... SUCCESS 
[7.364s]
[INFO] DayTrader :: Dojo User Interface ...................... SUCCESS 
[8.070s]
[INFO] DayTrader :: Dojo Interface and Proxy Ear ............. SUCCESS 
[5.491s]
[INFO] 
------------------------------------------------------------------------
[INFO] 
------------------------------------------------------------------------
[INFO] BUILD SUCCESSFUL
[INFO] 
------------------------------------------------------------------------
[INFO] Total time: 2 minutes
[INFO] Finished at: Mon May 21 19:27:47 LKT 2007
[INFO] Final Memory: 15M/553M
[INFO] 
------------------------------------------------------------------------


Mime
View raw message